/* Définiton locale au à l'instruction for       */
/* de la variable compteur                       */

public class ExempleCompteurLocalForEnConsole {

///////////////////////////////////////////////////

  /* Fonction d'affichage avec utilisation       */
  /* de compteurs globaux à la fonction          */

  static void affichage1() {
    int i;
    int j;
    for ( i = 0 ; i < 3 ; i = i+1 ) {
      for ( j = 0 ; j < 10 ; j = j+1 ) {
        Console.formater("%3d",i+j); }
      Console.sautDeLigne(); }
  }

  /* Fonction d'affichage avec utilisation       */
  /* de compteurs locaux aux for                 */

  static void affichage2() {
    for ( int i = 0 ; i < 3 ; i = i+1 ) {
      for ( int j = 0 ; j < 10 ; j = j+1 ) {
        Console.formater("%3d",i+j); }
      Console.sautDeLigne(); }
  }

  /* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("ExempleCompteurLocalFor");
    affichage1();
    Console.sautDeLigne();
    affichage2();
  }

///////////////////////////////////////////////////
}